# SPDX-FileCopyrightText: 2021
# - Kotyba Alhaj Taha <kotyba.alhaj-taha@ufz.de>
# - Helmholtz Centre for Environmental Research GmbH - UFZ (UFZ, https://www.ufz.de)
#
# SPDX-License-Identifier: EUPL-1.2

"""Make location_type optional

Revision ID: 3abc641a1fdb
Revises: 6668dbc28346
Create Date: 2021-08-12 08:35:21.405587

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "3abc641a1fdb"
down_revision = "6668dbc28346"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "configuration",
        "location_type",
        existing_type=sa.VARCHAR(length=256),
        nullable=True,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "configuration",
        "location_type",
        existing_type=sa.VARCHAR(length=256),
        nullable=False,
    )
    # ### end Alembic commands ###
